package Models.Client;

import Controllers.Traitement.contro;


/**
 *
 * @author Maher
 */
public class ClientEntrepriseContact {
    
    private Long Code ;
    private String Nom ;
    private String Prenom ;
    private Long CIN ;
    private String Mail ;
    private Long Tele1 ;
    private Long Tele2 ;
    private Long idcltentreprise ;
    private String LocalNom ;
    
    contro clt = new contro();
    
    public Long getCode() {
        return Code;
    }

    public void setCode(Long Code) {
        this.Code = Code;
    }
    public void setCodeString(String Code) {
        if(!clt.isStringNull(Code)){
            this.Code = Long.parseLong(Code);
        }
    }
    
    public Long getIdcltentreprise() {
        return idcltentreprise;
    }

    public void setIdcltentreprise(Long idcltentreprise) {
        this.idcltentreprise = idcltentreprise;
    }

    public void setIdcltentrepriseString(String idcltentreprise) {
        if(!clt.isStringNull(idcltentreprise)){
            this.idcltentreprise = Long.parseLong(idcltentreprise);
        }
    }

    public String getNom() {
        return Nom;
    }

    public void setNom(String Nom) {
        this.Nom = Nom;
    }

    public String getPrenom() {
        return Prenom;
    }

    public void setPrenom(String Prenom) {
        this.Prenom = Prenom;
    }

    public Long getCIN() {
        return CIN;
    }
    
    public String getCINString() {
        if(CIN != null){
            if(!CIN.equals("")){
                return CIN.toString();
            }else{
                return "" ;
            }
        }else{
            return "" ;
        }
    }
    
    public void setCIN(Long CIN) {
        this.CIN = CIN;
    }
    
    public void setCINString(String CIN) {
        if(!clt.isStringNull(CIN)){
            this.CIN=  Long.parseLong(CIN);
        }
    }
    
    public String getMail() {
        return Mail;
    }

    public void setMail(String Mail) {
        this.Mail = Mail;
    }

    public Long getTele1() {
        return Tele1;
    }
    
    public String getTele1String() {
        if(Tele1 != null){
            if(!Tele1.equals("")){
                return Tele1.toString();
            }else{
                return null ;
            }
        }else{
            return null ;
        }
    }
    
     public void setTele1String(String Tele1) {
          if(!clt.isStringNull(Tele1)){
              this.Tele1 = Long.parseLong(Tele1);
          }
    }
     
    public void setTele1(Long Tele1) {
        this.Tele1 = Tele1;
    }

    public Long getTele2() {
        return Tele2;
    }
    
    public String getTele2String() {
        if(Tele2 != null){
            if(!Tele2.equals("")){
                return Tele2.toString();
            }else{
                return "" ;
            }
        }else{
            return "" ;
        }
    }
    
    public void setTele2(Long Tele2) {
        this.Tele2 = Tele2;
    }
    
    public void setTele2String(String Tele2) {
        if(!clt.isStringNull(Tele2)){
            this.Tele2 = Long.parseLong(Tele2);
        }
    }

    public String getLocalNom() {
        return LocalNom;
    }

    public void setLocalNom(String LocalNom) {
        this.LocalNom = LocalNom;
    }
    
    
}
